FROM golang:1.24

WORKDIR /app

# Copie les fichiers de dépendances Go
COPY go.mod go.sum ./
RUN go mod download

# Copie tout le reste (code + web + assets)
COPY . .

# Build de ton binaire
RUN go build -o shelfy .

# Expose les ports nécessaires
EXPOSE 8080 2121

# Commande de lancement
CMD ["./shelfy"]
